Bug 247286 - devel/pcsc-lite: Update to 1.9.0
Summary: devel/pcsc-lite: Update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: buildisok
Depends on:
Blocks: 247287
  Show dependency treegraph
 
Reported: 2020-06-15 20:07 UTC by daniel.engberg.lists
Modified: 2020-07-04 09:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mmokhi)


Attachments
Patch for pcsc-lite (2.60 KB, patch)
2020-06-15 20:07 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-06-15 20:07:10 UTC
Created attachment 215587 [details]
Patch for pcsc-lite

Update pcsc-lite to 1.9.0
Fix python dependency

Compiled on FreeBSD 13.0-CURRENT r361421 amd64 
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 Automation User 2020-07-01 00:10:25 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/161801829
Comment 2 commit-hook freebsd_committer 2020-07-01 09:36:06 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Jul  1 09:35:46 UTC 2020
New revision: 540943
URL: https://svnweb.freebsd.org/changeset/ports/540943

Log:
  Update to 1.9.0

  PR:		247286
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	maintainer timeout

Changes:
  head/devel/pcsc-lite/Makefile
  head/devel/pcsc-lite/distinfo
Comment 3 Tatsuki Makino 2020-07-02 01:11:30 UTC
Default ipcdir has been changed.
CONFIGURE_ARGS+=--enable-ipcdir=/var/run/pcscd is required to start pcscd.
Comment 4 Li-Wen Hsu freebsd_committer 2020-07-02 16:49:48 UTC
(In reply to Tatsuki Makino from comment #3)
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247719
I'll deal with this soon.
Comment 5 commit-hook freebsd_committer 2020-07-02 17:06:09 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Jul  2 17:05:44 UTC 2020
New revision: 541046
URL: https://svnweb.freebsd.org/changeset/ports/541046

Log:
  Restore ipcdir to /var/run

  PR:		247719 [1] 247286 [2]
  Submitted by:	cmt [1]
  Reported by:	Tatsuki Makino [2]
  Approved by:	maintainer timeout (followup last coomit)
  MFH:		2020Q3

Changes:
  head/devel/pcsc-lite/Makefile
Comment 6 commit-hook freebsd_committer 2020-07-04 09:25:03 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Jul  4 09:24:20 UTC 2020
New revision: 541181
URL: https://svnweb.freebsd.org/changeset/ports/541181

Log:
  MFH: r541046

  Restore ipcdir to /var/run

  PR:		247719 [1] 247286 [2]
  Submitted by:	cmt [1]
  Reported by:	Tatsuki Makino [2]
  Approved by:	maintainer timeout (followup last coomit)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/devel/pcsc-lite/Makefile